# Delete Channel

> Channels API · channels

```http
DELETE /ui/connectors/channels-api/latest/channels/{channel_id}/
```

Delete a channel. Services are stopped before deletion.

Service cleanup errors are logged but don't prevent channel removal.

## Path parameters

| Name          | Type   | Required | Description            |
|---------------|--------|----------|-----------------------|
| `channel_id`  | string | Yes      | —                     |

## Example request

```bash
curl -X DELETE "/ui/connectors/channels-api/latest/channels/{channel_id}/"
```

## Responses

### 204 — Successful Response

No response body.

### 422 — Validation Error

- `detail` · list of objects · Optional
  - Array items (object):
    - `loc` · list of objects · **Required**
      - Array items (object):
        - One of the following variants:
          - **string** (string)
          - **integer** (integer)
    - `msg` · string · **Required**
    - `type` · string · **Required**
    - `input` · any · Optional
    - `ctx` · object · Optional

Example:

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
```

### 503 — Service unavailable

No response body.

---

Source spec: `channels-api` · operationId: `delete_channel_channels__channel_id___delete`
